net.corda.flows

## Class AbstractStateReplacementFlow.Proposal<M>

- net.corda.flows.AbstractStateReplacementFlow.Proposal<M>

- Type Parameters:
    `M` - the type of a class representing proposed modification by the instigator.
  Enclosing class:
    AbstractStateReplacementFlow

      public static class AbstractStateReplacementFlow.Proposal<M>

  The `class AbstractStateReplacementFlow.Proposal` contains the details of proposed state modification. This is the message sent by the `class AbstractStateReplacementFlow.Instigator` to all participants(`class AbstractStateReplacementFlow.Acceptor`) during the state replacement process.

  See Also:
    `class AbstractStateReplacementFlow.Proposal`, `class AbstractStateReplacementFlow.Instigator`, `class AbstractStateReplacementFlow.Acceptor`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Proposal(StateRef stateRef, M modification, SignedTransaction stx)` The `class AbstractStateReplacementFlow.Proposal` contains the details of proposed state modification. This is the message sent by the `class AbstractStateReplacementFlow.Instigator` to all participants(`class AbstractStateReplacementFlow.Acceptor`) during the state replacement process.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateRef` | `component1()`
    `M` | `component2()`
    `SignedTransaction` | `component3()`
    `AbstractStateReplacementFlow.Proposal<M>` | `copy(StateRef stateRef, M modification, SignedTransaction stx)` The `class AbstractStateReplacementFlow.Proposal` contains the details of proposed state modification. This is the message sent by the `class AbstractStateReplacementFlow.Instigator` to all participants(`class AbstractStateReplacementFlow.Acceptor`) during the state replacement process.
    `boolean` | `equals(java.lang.Object p)`
    `M` | `getModification()`
    `StateRef` | `getStateRef()`
    `SignedTransaction` | `getStx()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Proposal

          public Proposal(StateRef stateRef,
                          M modification,
                          SignedTransaction stx)

      The `class AbstractStateReplacementFlow.Proposal` contains the details of proposed state modification. This is the message sent by the `class AbstractStateReplacementFlow.Instigator` to all participants(`class AbstractStateReplacementFlow.Acceptor`) during the state replacement process.

      See Also:
        `class AbstractStateReplacementFlow.Proposal`, `class AbstractStateReplacementFlow.Instigator`, `class AbstractStateReplacementFlow.Acceptor`

  - ### Method Detail

    - #### getStateRef

          public StateRef getStateRef()

    - #### getModification

          public M getModification()

    - #### getStx

          public SignedTransaction getStx()

    - #### component1

          public StateRef component1()

    - #### component2

          public M component2()

    - #### component3

          public SignedTransaction component3()

    - #### copy

          public AbstractStateReplacementFlow.Proposal<M> copy(StateRef stateRef,
                                                               M modification,
                                                               SignedTransaction stx)

      The `class AbstractStateReplacementFlow.Proposal` contains the details of proposed state modification. This is the message sent by the `class AbstractStateReplacementFlow.Instigator` to all participants(`class AbstractStateReplacementFlow.Acceptor`) during the state replacement process.

      See Also:
        `class AbstractStateReplacementFlow.Proposal`, `class AbstractStateReplacementFlow.Instigator`, `class AbstractStateReplacementFlow.Acceptor`

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)